function xdot = MathieuEquation(t,x)
% Mathieu Equation is y''(z)+c.y'(z)+(a-2qcos(2z))*y = 0
% Runge Method
% y'(z) = x 
% x'(z) = -eta.y'(z)-(a-2qcos(2z))sin(y)
%

n = length(x) ;
xdot = zeros(n,1);
ydot = x(1) ;
Deltaydot = x(2) ;
a = x(3) ;
q = x(4) ;
c = x(5) ;
xdot(1) = Deltaydot;
xdot(2) = -c*Deltaydot-(a-2*q*cos(2*t))*ydot;